Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex
Class BaseXServer

    java.lang.Object
      org.basex.core.Main
          org.basex.BaseXServer

All Implemented Interfaces:
  Runnable

    public final class BaseXServer

extends Main
implements Runnable

This is the starter class for the database server. It handles concurrent requests from multiple users. Add the '-h' option to get a list on all available command-line arguments.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen, Andreas Weiler

Field Summary
`Log` | `log` Log.
`boolean` | `quiet` Quiet mode (no logging).
`Semaphore` | `sem` Semaphore for managing processes.

Fields inherited from class org.basex.core.Main
`context`

Constructor Summary
`BaseXServer(String... args)` Constructor.

Method Summary
`static void` | `main(String... args)` Main method, launching the server process.
`void` | `quit(boolean user)` Quits the console mode.
`void` | `run()` Server thread.
`static void` | `stop(Context ctx)` Stops the server.

Methods inherited from class org.basex.core.Main
`bug, debug, debug, err, errln, gc, inf, info, name, name, notexpected, notimplemented, out, outln, outln, server`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sem

    public final Semaphore sem

  Semaphore for managing processes.

### log

    public Log log

  Log.

### quiet

    public boolean quiet

  Quiet mode (no logging).

Constructor Detail

### BaseXServer

    public BaseXServer(String... args)

  Constructor.

  Parameters:
    `args` - command line arguments

Method Detail

### main

    public static void main(String... args)

  Main method, launching the server process. Command-line arguments can be listed with the `-h` argument.

  Parameters:
    `args` - command-line arguments

### run

    public void run()

  Server thread.

  Specified by:
    `run` in interface `Runnable`

### quit

    public void quit(boolean user)

  Description copied from class: `Main`
  Quits the console mode.

  Parameters:
    `user` - quit by user

### stop

    public static void stop(Context ctx)

  Stops the server.

  Parameters:
    `ctx` - context reference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD